//+------------------------------------------------------------------+
//|                   T3MA-ALARM.mq4 |
//|                      Pipsqueak2
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, Pipsqueak2 Tech"
// /

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red


extern bool Alarmset=true;

double upbuffer[500];
double dnbuffer[500];
int sep;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
      SetIndexStyle(0,DRAW_ARROW,2);
      SetIndexArrow(0,233);//This is buy signal
      SetIndexBuffer(0, upbuffer);

      SetIndexStyle(1,DRAW_ARROW,2);
      SetIndexArrow(1,234);
      SetIndexBuffer(1,dnbuffer);
      if(Symbol()=="EURUSD"){sep=4;}
      if(Symbol()=="USDCHF"){sep=3;}
      if(Symbol()=="USDJPY"){sep=3;}
      if(Symbol()=="GBPUSD"){sep=3;}
      if(Symbol()=="EURJPY"){sep=20;}
      if(Symbol()=="GBPJPY"){sep=12;}
      if(Symbol()=="AUDUSD"){sep=12;}
      
      return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
   {
     return(0);
   }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
// int    counted_bars=IndicatorCounted();

int start()
{   
double ax0[500];
double ax1[500];
double ax2[500];
int xdown,xup;
   for(int cnt=200;cnt>=0;cnt--)
   {
    
    ax0[cnt]=iCustom(NULL,0,"T3MA",4,1.5,cnt);
    ax1[cnt+1]=iCustom(NULL,0,"T3MA",4,1.5,cnt+1);
    ax2[cnt+2]=iCustom(NULL,0,"T3MA",4,1.5,cnt+2);
    
    if(ax0[cnt]-ax1[cnt+1]<0 && ax1[cnt+1]-ax2[cnt+2]>0){xdown=1;} else {xdown=0;}
    if(ax0[cnt]-ax1[cnt+1]>0 && ax1[cnt+1]-ax2[cnt+2]<0){xup=1;} else {xup=0;}
    
    if(xdown==1){dnbuffer[cnt+1]=High[cnt+1]+(sep*Point);}
    if(xup==1){upbuffer[cnt+1]=Low[cnt+1]-(sep*Point);}
    }
    {
    
       if(xup==1 && Alarmset){ Alert (Symbol()," ",Period(),"  STOCH-ALARM 3  >> BUY ");}
       
       if(xdown==1 && Alarmset){ Alert (Symbol()," ",Period(),"  STOCH-ALARM 3  >> SELL ");}
     }       
      
   //Comment("ax0=",ax0[40]); 
return(0);

}